Name:           ocaml-ogg
Version:        0.5.2
Release:        %mkrel 12
Summary:        OCaml bindings for the Ogg bitstream library
License:        LGPL with exceptions
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-ogg
Source0:        https://github.com/savonet/ocaml-ogg/releases/download/%{version}/ocaml-ogg-%{version}.tar.gz
Patch0:		debug.patch
BuildRequires:  ocaml-findlib-devel
BuildRequires:  pkgconfig(ogg)

%description
OCaml bindings for the Ogg bitstream library, libogg is a library
for manipulating ogg bitstreams. It handles both making ogg bitstreams
and getting packets from ogg bitstreams.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
./configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ogg
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/ogg
%{_libdir}/ocaml/ogg/META
%{_libdir}/ocaml/ogg/*.cma
%{_libdir}/ocaml/ogg/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%{_libdir}/ocaml/ogg/*.a
%{_libdir}/ocaml/ogg/*.cmx*
%{_libdir}/ocaml/ogg/*.mli
%{_libdir}/ocaml/ogg/*.h


%changelog
* Wed May 18 2022 pterjan <pterjan> 0.5.2-12.mga9
+ Revision: 1858773
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.5.2-11.mga9
+ Revision: 1832446
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 0.5.2-10.mga9
+ Revision: 1750749
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.5.2-9.mga9
+ Revision: 1696613
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 0.5.2-8.mga8
+ Revision: 1670414
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.5.2-7.mga8
+ Revision: 1551167
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.5.2-6.mga8
+ Revision: 1543658
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.5.2-5.mga8
+ Revision: 1482095
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.5.2-4.mga7
+ Revision: 1324058
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.5.2-3.mga7
+ Revision: 1323773
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-2.mga7
+ Revision: 1299910
- Mageia 7 Mass Rebuild
+ tv <tv>
- make it future proof

* Wed Nov 29 2017 tv <tv> 0.5.2-1.mga7
+ Revision: 1180192
- new release
- new URL
- patch0: fix debuginfo
- rebuild for new ocaml

* Wed Feb 17 2016 daviddavid <daviddavid> 0.4.5-6.mga6
+ Revision: 963898
- rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-5.mga5
+ Revision: 742808
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-4.mga5
+ Revision: 683078
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-3.mga4
+ Revision: 534726
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 0.4.5-2.mga4
+ Revision: 478639
- rebuild for new ocaml

* Sun Jun 16 2013 malo <malo> 0.4.5-1.mga4
+ Revision: 443744
- update to 0.4.5

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-5.mga3
+ Revision: 361539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.3-4.mga3
+ Revision: 301546
- rebuild for ocaml 4.00

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.4.3-3.mga3
+ Revision: 299117
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 0.4.3-2.mga2
+ Revision: 229860
- add missing requires to libogg-devel

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.4.3-1.mga2
+ Revision: 194051
- imported package ocaml-ogg

